#pragma once

#include "packets/base/Packet.hpp"
#include "Context.hpp"


namespace drp::event {


class BaseEvent {
public:
    virtual ~BaseEvent() = default;
    virtual void handle(
        Context& context,
        const packet::base::PacketContent& content,
        const sockaddr_storage& fromAddress,
        socklen_t fromAddressLength
    ) = 0;
};


}
